<div class="container">
  <div>

  </div>
  <div class="header-cover-photo">
      <!-- <img src="../../../../assets/images/cover_photo.jpg" alt="" style="width:100%;height:100%;"> -->
  </div>
  <div style="width: 100%; height: 40px; background: #1D3154; opacity: 0.6; margin-top: -40px;"></div>
  <div class="header-tabs">
    <ngb-tabset>
      <!-- נתונים כלליים -->
      <ngb-tab>
        <ng-template ngbTabTitle>
          <div class="custom-styling">נתונים כלליים</div>
        </ng-template>
        <ng-template ngbTabContent>
          <div class="tab-container">

            <div class="year-data">
              <h4>
                נתונים כלליים ארציים לשנה"ל
              </h4>
              <select [(ngModel)]="selectedCountry.id" (input)="onInput($event)">
                <option *ngFor="let country of nationalDataToYear" value={{country.id}}>{{country.year}}</option>
              </select>
            </div>

            <div class="overall-data row">
              <div class="col-md-6">
                <div class="card">
                  <h2 class="card-title">
                    בתי ספר
                  </h2>
                  <div class="card-body">
                    <div *ngFor="let schoolData of nationalSchoolData">
                      <div class="row national-school">
                        <div class="col-md-7 col-xs-12">
                          <label class="national-title" for="{{schoolData.title}}">{{schoolData.title}}</label>
                        </div>
                        <div class="col-md-5 col-xs-12">
                          <label class="national-amount" for="{{schoolData.amount}}">{{schoolData.amount}}</label>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="card-footer">
                    <div class="col-md-6 pie-chart">
                      <h3>
                        עובדי הוראה
                      </h3>
                      <pie-chart [id]="'kuku1'" [data]="dataService.pieData"></pie-chart>
                    </div>
                    <div class="col-md-6 pie-chart">
                      <h3>
                        תלמידים
                      </h3>
                      <pie-chart [id]="'kuku2'" [data]="dataService.pieData"></pie-chart>
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-md-6">
                <div class="card">
                  <h2 class="card-title">
                    בתי ספר
                  </h2>
                  <div class="card-body">
                    <div *ngFor="let schoolData of nationalSchoolData">
                      <div class="row national-school">
                        <div class="col-md-7 ">
                          <label class="national-title" for="{{schoolData.title}}">{{schoolData.title}}</label>
                        </div>
                        <div class="col-md-5">
                          <label class="national-amount" for="{{schoolData.amount}}">{{schoolData.amount}}</label>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="card-footer">
                    <div class="col-md-6 pie-chart">
                      <h3>
                        עובדי הוראה
                      </h3>
                      <pie-chart [id]="'kuk3'" [data]="dataService.pieData"></pie-chart>
                    </div>
                    <div class="col-md-6 pie-chart">
                      <h3>
                        תלמידים
                      </h3>
                      <pie-chart [id]="'kuku4'" [data]="dataService.pieData"></pie-chart>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <div class="division-institute card">
              <div class="">

                <h2 class="card-title">
                  חלוקת מוסדות לפי:
                </h2>

                <div class="tabs">
                  <button class="" [ngClass]="{'active':activeButton == '0'}" (click)="setActive(0)">
                    מגזר
                  </button>
                  <button class="" [ngClass]="{'active':activeButton == '1'}" (click)="setActive(1)">
                    סוג פיקוח
                  </button>
                  <button class="" [ngClass]="{'active':activeButton == '3'}" (click)="setActive(3)">
                    מעמד משפטי
                  </button>
                  <button class="" [ngClass]="{'active':activeButton == '4'}" (click)="setActive(4)">
                    סוג חינוך
                  </button>
                </div>

              </div>
              <div *ngIf="activeButton === 0" class="">
                <div class="row">
                  <div class="col-md-6">
                    1
                  </div>
                  <div class="col-md-6">
                    2
                  </div>
                </div>

              </div>

            </div>

            <div class="classes-distribution card">
              <h2 class="card-title">
                התפלגות כיתות לסוג חינוך, כיתה ושכבה
              </h2>
              <div class="">
                <h3>
                  legend
                </h3>
              </div>
              <app-n-classes-distribution [generalData]="generalData"></app-n-classes-distribution>
            </div>

            <div class="card">
              <h2 class="card-title">
                מספר מסגרות ארגוניות נוספות
              </h2>
              <div class="additional-organizations">
                <span *ngFor="let organization of nationalSchoolData">
                  <label class="organization-title" for="{{organization.title}}">{{organization.title}}
                    <span class="organization-amount">{{organization.amount}}</span>
                  </label>
                </span>
              </div>
            </div>

            <button (click)="getData()">הפעל תרשים</button>
          </div>
        </ng-template>
      </ngb-tab>
      <!-- נתונים כלליים End-->
      
      <!-- <column-chart [id]="'kuku11'" [data]="dataService.columnData"></column-chart>
      <pie-chart [id]="'kuku5'" [data]="dataService.pieData"></pie-chart> -->

      <ngb-tab>
        <ng-template ngbTabTitle>
          <div class="custom-styling">
            תקציב
          </div>
        </ng-template>
        <ng-template ngbTabContent>
          Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid.
          <p>
            Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer
            twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum
            PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr,
            vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean
            shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero
            sint qui sapiente accusamus tattooed echo park.
          </p>
        </ng-template>
      </ngb-tab>
      <ngb-tab [disabled]="false">
        <ng-template ngbTabTitle>
          <div class="custom-styling">
            השוואות
          </div>
        </ng-template>
        <ng-template ngbTabContent>
          <p>Sed commodo, leo at suscipit dictum, quam est porttitor sapien, eget sodales nibh elit id diam. Nulla facilisi.
            Donec egestas ligula vitae odio interdum aliquet. Duis lectus turpis, luctus eget tincidunt eu, congue et odio.
            Duis pharetra et nisl at faucibus. Quisque luctus pulvinar arcu, et molestie lectus ultrices et. Sed diam urna,
            egestas ut ipsum vel, volutpat volutpat neque. Praesent fringilla tortor arcu. Vivamus faucibus nisl enim, nec
            tristique ipsum euismod facilisis. Morbi ut bibendum est, eu tincidunt odio. Orci varius natoque penatibus et
            magnis dis parturient montes, nascetur ridiculus mus. Mauris aliquet odio ac lorem aliquet ultricies in eget
            neque. Phasellus nec tortor vel tellus pulvinar feugiat.</p>
        </ng-template>
      </ngb-tab>
      <ngb-tab>
        <ng-template ngbTabTitle>
          <div class="custom-styling">
            התמונה החינוכית
          </div>
        </ng-template>
        <ng-template ngbTabContent>
          Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid.
          <p>
            Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer
            twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum
            PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr,
            vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean
            shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero
            sint qui sapiente accusamus tattooed echo park.
          </p>
        </ng-template>
      </ngb-tab>
    </ngb-tabset>
  </div>
</div>